# Class IsEqualToDirective

#### Implements

- Validator

- Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:25

#####
Index

### Constructors

constructor

### Accessors

equalTo

### Methods

registerOnValidatorChange
validate

##
Constructors

### constructor

- new IsEqualToDirective(): IsEqualToDirective

  #### Returns IsEqualToDirective

##
Accessors

### equalTo

- set equalTo(value: any): void

  #### Parameters

  - value: any

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:31

##
Methods

### registerOnValidatorChange

- registerOnValidatorChange(fn: () => void): void

  #### Parameters

  - fn: () => void

    The callback function

  #### Returns void

  #### Description

  Registers a callback function to call when the validator inputs change.

  Implementation of Validator.registerOnValidatorChange

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:61

### validate

- validate(control: AbstractControl): null | ValidationErrors

  #### Parameters

  - control: AbstractControl

    The control to validate against.

  #### Returns null | ValidationErrors

  A map of validation errors if validation fails, otherwise null.

  #### Description

  Method that performs synchronous validation against the provided control.

  Implementation of Validator.validate

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:43